import { IRowNode } from 'ag-grid-enterprise';
import * as Redux from 'redux';
import { CellDataChangedInfo } from '../../AdaptableState/Common/CellDataChangedInfo';
import { AdaptableAlert, AdaptableFlashingCell, AdaptablePersistentState, AdaptableSharedEntity, AdaptableState, AdaptableTheme, CalculatedColumn, CreatedRowInfo, DashboardState, DataImportedInfo, DataSet, DeletedRowInfo, EditedRowInfo, LayoutState, RowDataChangedInfo, SystemStatusMessageInfo } from '../../types';
import { ApiBase } from '../Implementation/ApiBase';
import { BaseSchedule } from '../../AdaptableState/Common/Schedule';
import { LayoutChangedAction } from '../Events/LayoutChanged';
export declare class EventInternalApi extends ApiBase {
    fireGridSortedEvent(): void;
    fireCellChangedEvent(cellDataChangedInfo: CellDataChangedInfo): void;
    fireRowChangedEvent(rowDataChangedInfo: RowDataChangedInfo): void;
    fireDashboardChangedEvent(trigger: string, oldDashboardState: DashboardState, newDashboardState: DashboardState): void;
    fireAlertFiredEvent(alertToFire: AdaptableAlert): void;
    fireThemeChangedEvent(theme: AdaptableTheme, trigger: 'ThemeSelected' | 'ThemeEdited'): void;
    fireLayoutChangedEvent(trigger: LayoutChangedAction, oldState: LayoutState, newState: LayoutState): void;
    fireScheduleTriggeredEvent(schedule: BaseSchedule): void;
    fireDataSetSelectedEvent(dataSet: DataSet): void;
    fireSystemStatusMessageDisplayedEvent(systemStatusMessageInfo: SystemStatusMessageInfo): void;
    fireDataImportedEvent(importData: any[], addedRows: IRowNode[], updatedRows: IRowNode[]): DataImportedInfo;
    fireBeforeAdaptableStateChangeEvent(action: Redux.Action, state: AdaptableState): void;
    fireAdaptableStateChangedEvent(action: Redux.Action, oldState: AdaptableState, newState: AdaptableState): void;
    fireAdaptableStateReloadedEvent(oldState: AdaptablePersistentState, newState: AdaptablePersistentState): void;
    fireCalculatedColumnChangedEvent(trigger: string, calculatedColumn: CalculatedColumn): void;
    fireColumnFilterAppliedEvent(): void;
    fireGridFilterAppliedEvent(): void;
    fireRowFormSubmittedEvent(rowFormSubmittedInfo: CreatedRowInfo | EditedRowInfo | DeletedRowInfo): void;
    fireTeamSharingEntityChangedEvent(sharedEntity: AdaptableSharedEntity): void;
    fireFlashingCellDisplayedEvent(flashingCellToShow: AdaptableFlashingCell): void;
}
